{% extends "baseAdmin.html" %}
{% load static %}
{% block titulo %}
  .::Lista Bases Externas
{% endblock titulo %}
{% block content1 %}
    <div class="container">
      <script type="text/javascript">
        $("#navOficinas").attr('class','dropdown active');
        $("#navconfiBase").attr('class','active');
      </script>
        <div class="row">
          <div class="col-md-12 col-sm-12" >
              <div class="panel panel-primary">
                <div class="panel-heading"> <b>CONFIGURACION BASES EXTERNAS</b></div>
                <div class="panel-body">
                  <div class="row" >
                    <p class="bg-success" align="center" id="ExitoCambiar">
                    </p>
                  </div>
                  <div class="row">
                    <div class="col-md-2 col-md-offset-1">
                      <button type="button" class="btn btn-success btn-block btn-sm" id="btnCrear" data-toggle="modal" data-target="#ModalAgregarBase">Agregar Base Externa</button>
                    </div>
                    <div class="col-md-2">
                      <button type="button" class="btn btn-warning btn-block btn-sm" id="btnRefrescar">Actualizar</button>
                    </div>
                  </div>
                  <div class="row">
                    <br>
                    <p class="bg-success">
                      &nbsp;
                    </p>
                    <div class="col-md-10 col-md-offset-1">
                        <div class="table-responsive">
                          <table class="table table-hover">
                              <thead>
                                <tr>
                                  <th>Base</th>
                                </tr>
                              </thead>
                              <tbody id="listaOfi">
                                  
                              </tbody>
                          </table>
                        </div>
                    </div>
                    
                  </div>
                  <br>
                  <div class="row">
                    <div class="col-md-10 col-md-offset-1" align="center">
                      <nav>
                        <ul class="pagination">
                          <li>
                            <a href="#" aria-label="Previous">
                              <span aria-hidden="true">&laquo;</span>
                            </a>
                          </li>
                          <li class="active"><a href="#">1</a></li>
                          <li><a href="#">2</a></li>
                          <li><a href="#">3</a></li>
                          <li><a href="#">4</a></li>
                          <li><a href="#">5</a></li>
                          <li>
                            <a href="#" aria-label="Next">
                              <span aria-hidden="true">&raquo;</span>
                            </a>
                          </li>
                        </ul>
                      </nav>
                    </div>
                  </div>
                </div>
              </div>
          </div>
        </div>
    </div>
<div>
  <div id="ModalAgregarBase" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          <h4 class="modal-title" id="myModalLabel">Agragar Base</h4>
        </div>
        <div class="modal-body">
          <div class="row" id="panel_base">
            <div class="col-md-12">
              <div class="panel panel-warning">
                <div class="panel-body">
                  <div class="row">
                    <p class="bg-warning"><b> Seleccione una oficina como base Externa </b></p>
                  </div>
                  <div class="row">
                    <div class="col-md-6">
                      <select class="form-control" id="ComboOficinas">
                      </select>
                      <p></p>
                    </div>
                    <div class="col-md-6">
                      <select class="form-control" id="ComboCaja">
                      </select>
                      <p></p>
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-md-4 col-md-offset-4">
                      <button type="button" class="btn btn-success btn-sm" id="btnSelectOfiExt">Seleccionar</button>
                    </div>
                  </div>
                  <div class="row" id="prog_base" hidden>
                    <br>
                    <div class="col-md-12">
                      <div class="progress">
                        <div class="progress-bar progress-bar-striped active" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="width: 100%">
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>

          </div>
          <div class="row" id="panel_subbase" hidden>
            <div class="col-md-12">
              <div class="panel panel-info">
                <div class="panel-body">
                  <div class="row">
                    <p class="bg-info"><b>Base Externa: <span id="spNombreBa"></span></b></p>
                  </div>
                  <div class="row">
                    <div class="col-md-2">
                      <button type="button" class="btn btn-danger btn-sm" data-toggle="modal" data-target="#ModalAddSubBase" id="btnAddSub">Agregar SubBase</button>
                    </div>
                    <div class="col-md-1 col-md-offset-7">
                      <h5>ID</h5>
                    </div>
                    <div class="col-md-2">
                      <input type="text" class="form-control" id="txtIdConf" disabled>
                    </div>
                    <p></p>
                  </div>
                  <div class="row">
                    <div class="col-md-12">
                        <div class="table-responsive">
                          <table class="table table-hover">
                              <thead>
                                 <tr>
                                  <th>Fecha</th>
                                  <th>Nombre</th>
                                  <th>Ciudad</th>
                                  <th>Direccion</th>
                                </tr>
                              </thead>
                              <tbody id="listaBaAdd">
                                  
                              </tbody>
                          </table>
                        </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-danger btn-sm" data-dismiss="modal">Cerrar</button>
        </div>
      </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
  </div>
</div>
<div>
  <div id="ModalAddSubBase" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-sm">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
              <h4 class="modal-title" id="myModalLabel">Sub Base</h4>
            </div>
            <div class="modal-body">
              <form>
              <div class="row">
                <div class="col-md-4" align="right">
                  <h5>Nombre: </h5>
                </div>
                <div class="col-md-8">
                  <input type="text" class="form-control" id="txtNombreSub" >
                  <p></p>
                </div>
              </div>
              <p></p>
              <div class="row">
                <div class="col-md-4" align="right">
                  <h5>Ciudad: </h5>
                </div>
                <div class="col-md-8">
                  <input type="text" class="form-control" id="txtCiudadSub" >
                  <p></p>
                </div>
              </div>
              <p></p>
              <div class="row">
                <div class="col-md-4" align="right">
                  <h5>Direc: </h5>
                </div>
                <div class="col-md-8">
                  <input type="text" class="form-control" id="txtDirSub" >
                  <p></p>
                </div>
              </div>
              <p></p>
              <div class="row">
                <div class="col-md-4" align="right">
                  <h5>Descrip: </h5>
                </div>
                <div class="col-md-8">
                  <textarea class="form-control" rows="2" id="txtDesSub"></textarea >
                  <p></p>
                </div>
              </div>
              <p></p>
              <div class="row">
                <div class="col-md-4" align="right">
                  <h5>Obs: </h5>
                </div>
                <div class="col-md-8">
                  <textarea class="form-control" rows="2" id="txtObsSub"></textarea >
                  <p></p>
                </div>
              </div>
              <p></p>
              </form>
              <div class="row">
                <button type="button" class="btn btn-successbtn-sm" id="guardarSub">Guardar</button>
              </div>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-danger btn-sm" data-dismiss="modal">Cerrar</button>
            </div>
          </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
      </div>
</div>
<div>
  <div id="myModal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-sm">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title" id="myModalLabel">Detalles</h4>
          </div>
          <div class="modal-body">
                <div class="row">
                  <div class="col-md-12">
                    <p class="bg-success" align="center">
                       <span id="spUpBaseExt"></span>
                    </p>
                  </div>
                </div>
                <p></p>
                <div class="row">
                  <div class="col-md-4  col-md-offset-8">
                    <input type="text" class="form-control" id="txtpkSubUp" readonly>
                    <p></p>
                  </div>
                </div>
                <p></p>
                <div class="row">
                  <div class="col-md-4" align="right">
                    <h5>Nombre SubBase: </h5>
                  </div>
                  <div class="col-md-8">
                    <input type="text" class="form-control" id="txtNombreSubUp" >
                    <p></p>
                  </div>
                </div>
                <p></p>
                <div class="row">
                  <div class="col-md-4" align="right">
                    <h5>Ciudad: </h5>
                  </div>
                  <div class="col-md-8">
                    <input type="text" class="form-control" id="txtCiudadSubUp" >
                    <p></p>
                  </div>
                </div>
                <p></p>
                <div class="row">
                  <div class="col-md-4" align="right">
                    <h5>Direccion: </h5>
                  </div>
                  <div class="col-md-8">
                    <input type="text" class="form-control" id="txtDirSubUp" >
                    <p></p>
                  </div>
                </div>
                <p></p>
                <div class="row">
                  <div class="col-md-4" align="right">
                    <h5>Descripcion: </h5>
                  </div>
                  <div class="col-md-8">
                    <textarea class="form-control" rows="2" id="txtDesSubUp"></textarea >
                    <p></p>
                  </div>
                </div>
                <p></p>
                <div class="row">
                  <div class="col-md-4" align="right">
                    <h5>Observacion: </h5>
                  </div>
                  <div class="col-md-8">
                    <textarea class="form-control" rows="2" id="txtObsSubUP"></textarea >
                    <p></p>
                  </div>
                </div>
                <p></p>
                <div class="row">
                  <div class="col-md-6">
                    <button type="button" class="btn btn-warning btn-block btn-sm" id="ActualizarSub">Actualizar</button>
                  </div>
                  <div class="col-md-6">
                    <button type="button" class="btn btn-danger btn-block btn-sm" id="DesactivaSub">Desactivar</button>
                  </div>
                </div>
          </div>

          <div class="modal-footer">
            <button type="button" class="btn btn-primary btn-sm" data-dismiss="modal">Cerrar</button>

          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div>
</div>
<div>
  <div id="ModalBasesExt" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          <h4 class="modal-title" id="myModalLabel">Bases</h4>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-md-3">
              <button type="button" class="btn btn-success btn-sm" data-toggle="modal" data-target="#ModalAddModSubBase" id="AddSub2">Agregar Subbase</button>
            </div>
            <div class="col-md-2">
              <input type="text" class="form-control" id="txtidConfig" readonly>
            </div>
          </div>
          <p></p>
          <div class="row">
            <div class="col-md-12">
              <div class="table-responsive">
                <table class="table table-hover">
                  <thead>
                    <tr>
                      <th>Fecha</th>
                      <th>Nombre</th>
                      <th>Ciudad</th>
                      <th>Direccion</th>
                    </tr>
                  </thead>
                  <tbody id="listaBa">
                      
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-danger btn-sm" data-dismiss="modal">Cerrar</button>
        </div>
      </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
  </div>
</div>
<div>
  <div id="ModalAddModSubBase" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-sm">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
              <h4 class="modal-title" id="myModalLabel">Sub Base</h4>
            </div>
            <div class="modal-body">
              <form>
              <div class="row">
                <div class="col-md-4" align="right">
                  <h5>Nombre SubBase: </h5>
                </div>
                <div class="col-md-8">
                  <input type="text" class="form-control" id="txtNombreSub2" >
                  <p></p>
                </div>
              </div>
              <p></p>
              <div class="row">
                <div class="col-md-4" align="right">
                  <h5>Ciudad: </h5>
                </div>
                <div class="col-md-8">
                  <input type="text" class="form-control" id="txtCiudadSub2" >
                  <p></p>
                </div>
              </div>
              <p></p>
              <div class="row">
                <div class="col-md-4" align="right">
                  <h5>Direc: </h5>
                </div>
                <div class="col-md-8">
                  <input type="text" class="form-control" id="txtDirSub2" >
                  <p></p>
                </div>
              </div>
              <p></p>
              <div class="row">
                <div class="col-md-4" align="right">
                  <h5>Descrip: </h5>
                </div>
                <div class="col-md-8">
                  <textarea class="form-control" rows="2" id="txtDesSub2"></textarea >
                  <p></p>
                </div>
              </div>
              <p></p>
              <div class="row">
                <div class="col-md-4" align="right">
                  <h5>Obs: </h5>
                </div>
                <div class="col-md-8">
                  <textarea class="form-control" rows="2" id="txtObsSub2"></textarea >
                  <p></p>
                </div>
              </div>
              <p></p>
              </form>
              <div class="row">
                <button type="button" class="btn btn-success btn-sm" id="guardarSub2">Guardar</button>
              </div>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-danger btn-sm" data-dismiss="modal">Cerrar</button>
            </div>
          </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
      </div>
</div>
<script type="text/javascript">
  var Aux="";
  var filaI =0;
  var Aux2="";
  var filaI2 =0;
  $(document).ready(function () {
    ajax_Oficinas();
    $(document).on("click",".filaOfi",function(){
      var num = $(this).attr('id');
      filaI = num;
      var fila= $(this).attr('class');
      $("."+fila).attr('class','filaOfi');
      $("#"+num).attr('class','filaOfi info');
      $("#spUpBaseExt").text(Aux[filaI].nombre);
      $("#txtidConfig").prop('value',Aux[filaI].conf);
      ajax_Bases_oficina(Aux[filaI].conf);
    });
    $("#btnRefrescar").click(function(){
      ajax_Oficinas();
    });
    
    function ajax_Oficinas(){
      $.ajax({
        url:'/Admin/oficinas_como_Externas_ajax/',
        type:'GET',
        dataType:'json',
        success: function(data){
          Aux = data;
          var html ="";
          var esta='';
          for(var i=0;i<data.length;i++){
              html += '<tr data-toggle="modal" data-target="#ModalBasesExt" class="filaOfi" id="'+i+'"><td>'+data[i].nombre+'</td></tr>';
          }
          $('#listaOfi').html(html);
        }
      });
    }
    //
    function ajax_oficinas_para_combo(){
      $.ajax({
        url:'/Admin/oficinas_no_Externas_ajax/',
        type:'GET',
        dataType:'json',
        success: function(data){
        var html ="";
          $("#ComboOficinas").html('');
          for(var i=0;i<data.length;i++){
            html += '<option value="'+data[i].pk+'">'+data[i].nombre_oficina+'</option>';
          }
          $('#ComboOficinas').html(html);
          ajax_caja($('#ComboOficinas').val());
        }
      });
    };
    //
    $("#ComboOficinas").change(function(){
      ajax_caja($('#ComboOficinas').val());
    })
    function ajax_caja(oficina){
      $.ajax({
        url:'/Admin/cajas_no_Externas_ajax/',
        data:{'idOfi':oficina},
        type:'GET',
        dataType:'json',
        success: function(data){
          var html = '';
          $("#ComboCaja").html('<option value="-1"> </option>');
          for(var i=0;i<data.length;i++){
              html += '<option value="'+data[i].pk+'">'+data[i].nombre+'</option>';
          }
          $('#ComboCaja').html(html);
          //$("#ComboAfavor").html('');
          //ajax_personal_caja($("#ComboCaja").val());
        }
      });
    };
    //
    //
    $(document).on("click",".filaBa",function(){
      var num1 = $(this).attr('id');
      filaI2 = num1;
      var fila1= $(this).attr('class');
      $("."+fila1).attr('class','filaBa');
      $(this).attr('class','filaBa info');

      $("#txtpkSubUp").prop('value',Aux2[filaI2].pk);
      $("#txtNombreSubUp").prop('value',Aux2[filaI2].nombre);
      $("#txtCiudadSubUp").prop('value',Aux2[filaI2].ciudad);
      $("#txtDirSubUp").prop('value',Aux2[filaI2].dir);
      $("#txtDesSubUp").prop('value',Aux2[filaI2].des);
      $("#txtObsSubUP").prop('value',Aux2[filaI2].obs);
    });
     function ajax_Bases_oficina(pkconf){
      $.ajax({
        url:'/Admin/bases_para_of_externa_view/',
        data:{'idConf':pkconf},
        type:'GET',
        dataType:'json',
        success: function(data){
          Aux2 = data;
          var html ="";
          var esta='';
          for(var i=0;i<data.length;i++){
              html += '<tr data-toggle="modal" data-target="#myModal" class="filaBa" id="'+i+'"><td>'+data[i].fecha+'</td><td>'+data[i].nombre+'</td><td>'+data[i].ciudad+'</td><td>'+data[i].dir+'</td></tr>';
          }
          $('#listaBa').html(html);
        }
      });
    }
    //
    function ajax_poner_oficina_ext(){
      $.ajax({
        url:'/Admin/PonerOficinaExt_ajax_/',
        data:{'idO':$("#ComboOficinas").val(),'idC':$('#ComboCaja').val()},
        type:'GET',
        dataType:'json',
        success: function(data){
          if(data.exito=='exito'){
            $("#panel_base").hide();
            $("#panel_subbase").show();
            $("#prog_base").hide();
            $("#txtIdConf").prop('value',data.idConf);
            $("#spNombreBa").text(data.nombre);
          }
          else{
            $("#ExitoCambiar").prop('class','bg-danger');
            $("#ExitoCambiar").text(data);
            $("#ModalAgregarBase").modal('hide');
          }
        }
      });
    }
    //
    function ajax_Agregar_subbase_ext(){
      $.ajax({
        url:'/Admin/AgregarSubbaseExterna_ajax/',
        data:{'idConf':$("#txtIdConf").val(),'nombre':$("#txtNombreSub").val(),'ciudad':$("#txtCiudadSub").val(),'dir':$("#txtDirSub").val(),'des':$("#txtDesSub").val(),'obs':$("#txtObsSub").val()},
        type:'GET',
        dataType:'text',
        success: function(data){
          if(data=='exito'){
            $("#ModalAddSubBase").modal('hide');
            ajax_subbases_agregados();
            limpiar_add_subbase();
          }
          else{
            $("#ExitoCambiar").prop('class','bg-danger');
            $("#ExitoCambiar").text(data);
            $("#ModalAddSubBase").modal('hide');
            $("#ModalAgregarBase").modal('hide');
          }
        }
      });
    };
    //
    function limpiar_add_subbase(){
      $("#txtNombreSub").prop('value',null);
      $("#txtCiudadSub").prop('value',null);
      $("#txtDirSub").prop('value',null);
      $("#txtDesSub").prop('value',null);
      $("#txtObsSub").prop('value',null);
    }
    function ajax_subbases_agregados(){
      $.ajax({
        url:'/Admin/bases_para_of_externa_view/',
        data:{'idConf':$("#txtIdConf").val()},
        type:'GET',
        dataType:'json',
        success: function(data){
          var html ="";
          for(var i=0;i<data.length;i++){
              html += '<trclass="filaBa" id="'+i+'"><td>'+data[i].fecha+'</td><td>'+data[i].nombre+'</td><td>'+data[i].ciudad+'</td><td>'+data[i].dir+'</td></tr>';
          }
          $('#listaBaAdd').html(html);
        }
      });
    }
    //
    $(document).on('show.bs.modal', '.modal', function () {
        var zIndex = 1040 + (10 * $('.modal:visible').length);
        $(this).css('z-index', zIndex);
        setTimeout(function() {
            $('.modal-backdrop').not('.modal-stack').css('z-index', zIndex - 1).addClass('modal-stack');
        }, 0);
    });
    $(document).on('hidden.bs.modal', '.modal', function () {
        $('.modal:visible').length && $(document.body).addClass('modal-open');
    });
    $("#btnSelectOfiExt").click(function(){
      $("#prog_base").show();
      ajax_poner_oficina_ext();
    });
    $("#btnCrear").click(function(){
      ajax_oficinas_para_combo();
      $('#listaBaAdd').html('');
      $("#panel_base").show();
      $("#panel_subbase").hide();
    });
    $("#guardarSub").click(function(){
      ajax_Agregar_subbase_ext();
    });
    //
    //agregar subbas luego de listado
    $("#guardarSub2").click(function(){
      ajax_Agregar_subbase_ext2();
    });
    function limpiar_add_subbase2(){
      $("#txtNombreSub2").prop('value',null);
      $("#txtCiudadSub2").prop('value',null);
      $("#txtDirSub2").prop('value',null);
      $("#txtDesSub2").prop('value',null);
      $("#txtObsSub2").prop('value',null);
    }
    function ajax_Agregar_subbase_ext2(){
      $.ajax({
        url:'/Admin/AgregarSubbaseExterna_ajax/',
        data:{'idConf':$("#txtidConfig").val(),'nombre':$("#txtNombreSub2").val(),'ciudad':$("#txtCiudadSub2").val(),'dir':$("#txtDirSub2").val(),'des':$("#txtDesSub2").val(),'obs':$("#txtObsSub2").val()},
        type:'GET',
        dataType:'text',
        success: function(data){
          if(data=='exito'){
            $("#ModalAddModSubBase").modal('hide');
            ajax_Bases_oficina($("#txtidConfig").val());
            limpiar_add_subbase2();
          }
          else{
            $("#ExitoCambiar").prop('class','bg-danger');
            $("#ExitoCambiar").text(data);
            $("#ModalAddModSubBase").modal('hide');
            $("#ModalBasesExt").modal('hide');
          }
        }
      });
    };
    //
     $("#ActualizarSub").click(function(){
      ajax_modificar_subbase_ext2();
    });
    function ajax_modificar_subbase_ext2(){
      $.ajax({
        url:'/Admin/ModSubbaseExterna_ajax/',
        data:{'pk':$("#txtpkSubUp").val(),'nombre':$("#txtNombreSubUp").val(),'ciudad':$("#txtCiudadSubUp").val(),'dir':$("#txtDirSubUp").val(),'des':$("#txtDesSubUp").val(),'obs':$("#txtObsSubUP").val()},
        type:'GET',
        dataType:'text',
        success: function(data){
          if(data=='exito'){
            $("#myModal").modal('hide');
            ajax_Bases_oficina($("#txtidConfig").val());
          }
          else{
            $("#ExitoCambiar").prop('class','bg-danger');
            $("#ExitoCambiar").text(data);
            $("#myModal").modal('hide');
            $("#ModalBasesExt").modal('hide');
          }
        }
      });
    };
    ////
    $("#DesactivaSub").click(function(){
      ajax_modificar_desactivar_subbase_ext2();
    })
    function ajax_modificar_desactivar_subbase_ext2(){
      $.ajax({
        url:'/Admin/ModSubbaseExterna_desactivar_ajax/',
        data:{'pk':$("#txtpkSubUp").val()},
        type:'GET',
        dataType:'text',
        success: function(data){
          if(data=='exito'){
            $("#myModal").modal('hide');
            ajax_Bases_oficina($("#txtidConfig").val());
          }
          else{
            $("#ExitoCambiar").prop('class','bg-danger');
            $("#ExitoCambiar").text(data);
            $("#myModal").modal('hide');
            $("#ModalBasesExt").modal('hide');
          }
        }
      });
    };
    //

    $('input').on('keypress', function(e){
        if(e.keyCode == 13)
        {
          var inputs = $(this).parents("form").eq(0).find(":input.form-control");
          var idx = inputs.index($(this));

          if (idx == inputs.length - 1) {
              inputs[0].select()
          } else {
              inputs[idx + 1].focus(); //  handles submit buttons
             //inputs[idx + 1].select();
          }
          return false;
        }
    });
    //
  });
</script>
{% endblock content1 %}